/* Software License Agreement (BSD License)
 *
 * Copyright (c) 2011, Willow Garage, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  * Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 *  * Neither the name of Willow Garage, Inc. nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * Auto-generated by genmsg_cpp from file /local/robotpkg/var/tmp/robotpkg/motion/nhfc-genom3/work/templates/ros/client/ros/nhfc/srv/set_vlimit.srv
 *
 */


#ifndef NHFC_MESSAGE_SET_VLIMITREQUEST_H
#define NHFC_MESSAGE_SET_VLIMITREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace nhfc
{
template <class ContainerAllocator>
struct set_vlimitRequest_
{
  typedef set_vlimitRequest_<ContainerAllocator> Type;

  set_vlimitRequest_()
    : vmin(0.0)
    , vmax(0.0)  {
    }
  set_vlimitRequest_(const ContainerAllocator& _alloc)
    : vmin(0.0)
    , vmax(0.0)  {
    }



   typedef double _vmin_type;
  _vmin_type vmin;

   typedef double _vmax_type;
  _vmax_type vmax;




  typedef boost::shared_ptr< ::nhfc::set_vlimitRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::nhfc::set_vlimitRequest_<ContainerAllocator> const> ConstPtr;

}; // struct set_vlimitRequest_

typedef ::nhfc::set_vlimitRequest_<std::allocator<void> > set_vlimitRequest;

typedef boost::shared_ptr< ::nhfc::set_vlimitRequest > set_vlimitRequestPtr;
typedef boost::shared_ptr< ::nhfc::set_vlimitRequest const> set_vlimitRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::nhfc::set_vlimitRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::nhfc::set_vlimitRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace nhfc

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'nhfc': ['nhfc/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::nhfc::set_vlimitRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::nhfc::set_vlimitRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::nhfc::set_vlimitRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "71ba21d6e9ee12d8d19492c59ac16312";
  }

  static const char* value(const ::nhfc::set_vlimitRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x71ba21d6e9ee12d8ULL;
  static const uint64_t static_value2 = 0xd19492c59ac16312ULL;
};

template<class ContainerAllocator>
struct DataType< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "nhfc/set_vlimitRequest";
  }

  static const char* value(const ::nhfc::set_vlimitRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "\n\
float64 vmin\n\
float64 vmax\n\
";
  }

  static const char* value(const ::nhfc::set_vlimitRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.vmin);
      stream.next(m.vmax);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER;
  }; // struct set_vlimitRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::nhfc::set_vlimitRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::nhfc::set_vlimitRequest_<ContainerAllocator>& v)
  {
    s << indent << "vmin: ";
    Printer<double>::stream(s, indent + "  ", v.vmin);
    s << indent << "vmax: ";
    Printer<double>::stream(s, indent + "  ", v.vmax);
  }
};

} // namespace message_operations
} // namespace ros

#endif // NHFC_MESSAGE_SET_VLIMITREQUEST_H
